        
#include <conio.h>
#include <unistd.h>

#include <dsensor.h>
#include <dmotor.h>

#define LIGHTSENS       SENSOR_2
#define DARK_THRESH     0x40
#define BRIGHT_THRESH   0x48

#define NORMAL_SPEED (2*MAX_SPEED/3)
#define TURN_SPEED   (MAX_SPEED)

static wakeup_t dark_found(wakeup_t data) {
  return LIGHT(LIGHTSENS)<(unsigned short)data;
}

static wakeup_t bright_found(wakeup_t data) {
  return LIGHT(LIGHTSENS)>(unsigned short)data;
}


int main(int argc, char *argv[]) {
    int total, num, i;

    ds_active(&LIGHTSENS);
  
//  locate_line();
//  follow_line();

    motor_a_speed(MAX_SPEED/2);
    motor_b_speed(MAX_SPEED/2);
    motor_b_dir(fwd);
    motor_a_dir(rev);
    total=0;
    sleep (1);
    for (i=1; i<4; i++) {
        num = (int)(LIGHT(LIGHTSENS));
        cputw (num);
        total=total+num;
        sleep (2);
    }
    total=total/3;
    cputw ((total));
    sleep(1);
    while(1){
      cputw(LIGHT(LIGHTSENS));
      if (LIGHT(LIGHTSENS) > (total+2)){
          motor_a_dir(fwd);
          motor_b_dir(fwd);
          //while (LIGHT(LIGHTSENS) > (unsigned short)0x16){
          //}
//          sleep(2);

//          motor_b_dir(brake);
//          motor_a_dir(brake);

//          sleep(2);
      }
      if (LIGHT(LIGHTSENS) < (total+1)){
          motor_a_dir(rev);
          motor_b_dir(fwd);
      }
      sleep(0.5);
    }
  
  return 0;
}
