/* Programa que permite a un robot no caerse de una mesa.
   Cuando uno de los sensores es presionado el robot retrocede
   y si el sensor presionado es el de la derecha girara a la izquierda y
   si el sensor presionado es el da izquierda girar a la derecha
   Seguidamente continuar su camino hacia adelante
*/
#include <conio.h>
#include <unistd.h>

#include <dsensor.h>
#include <dmotor.h>
#include <sys/tm.h>

wakeup_t sensor_press_wakeup(wakeup_t data);
const int tiempo=100;
int direccion=0;
int cambio=0;

// Funcin principal main

int tarea1 (int argc, char *argv[]) {
	cputs ("TAREA");	
	while (1) {
		wait_event(&sensor_press_wakeup,0);

		motor_a_dir(rev);
		motor_c_dir(rev);
		msleep (tiempo*1.5);
		if (SENSOR_1!=0) {
			motor_c_dir(fwd);
			cputs ("izda");
			msleep (tiempo*1.5);
			direccion--;
			cambio=1;
			motor_a_dir(fwd);
			motor_c_dir(fwd);
			msleep(1);
		} else if (SENSOR_3!=0) {
			motor_c_dir(fwd);
			cputs ("dcha");
			msleep (tiempo*1.5);
			direccion++;
			cambio=1;
			motor_a_dir(fwd);
			motor_c_dir(fwd);
			msleep(1);
		}
		cambio=1;
		msleep(1);
		lcd_refresh();
	}
}
	

int main(int argc, char *argv[]) {
	int t1;
   	t1=execi(&tarea1, argc, argv, 1, DEFAULT_STACK_SIZE); 
	tm_start();
	if (t1==-1) 
		cputs ("-1");
	//else
	//	cputs ("HOLA");
    	// Ponemos en marcha los motores a y c
	
    	motor_a_speed(MAX_SPEED);
    	motor_c_speed(MAX_SPEED);

	motor_a_dir(fwd);
	motor_c_dir(fwd);
	while(1) {
		cputs ("PRIN");
    		if (direccion<0) {
			motor_c_dir(rev);
			msleep ((-1)*(direccion)*tiempo);
		} else
			if (direccion>0){
				motor_a_dir(rev);
				msleep (direccion*tiempo);
			}
		direccion=0;
		motor_a_dir(fwd);
    		motor_c_dir(fwd);

		while (cambio==0) {
			msleep(1);
		}	
		msleep(tiempo*4);
		cambio=0;

  	}
}

wakeup_t sensor_press_wakeup(wakeup_t data) {
        lcd_refresh();
	return SENSOR_1<0xf000 || SENSOR_3<0xf000;
}

