/* Robot que no se cae de la mesa.
   Si se le cae la pata derecha, gira hacia la izquierda.
   Si se le cae la pata izquierda, gira hacia la derecha.
   Si se le caen las dos patas, da un giro de 180 grados.
*/


#include <conio.h>
#include <unistd.h>

#include <dsensor.h>
#include <dmotor.h>



wakeup_t sensor_press_wakeup(wakeup_t data);

int main(int argc, char *argv[]) {
  int dir=0;
    
  while(1) {

    // Comienza a andar 

    motor_a_speed(MAX_SPEED);
    motor_c_speed(MAX_SPEED);
 
    motor_a_dir(fwd);
    motor_c_dir(fwd);

    cputs("palante");

    // espera a que se caiga una de las patas
    wait_event(&sensor_press_wakeup,0);

    // espera por si se le cae la otra pata

    if(SENSOR_1<0xf000) {  // si se le ha caido la pata derecha
      dir=0;  //gira a la izquierda
    }
    else {
      dir=1;  //gira a la derecha  // si se le ha caido la pata derecha
    }
     

    motor_a_dir(rev);
    motor_c_dir(rev);

    cputs("patras");

    msleep(600);

    motor_a_speed(MAX_SPEED);           
    motor_c_speed(MAX_SPEED);

    if(dir==1)
    {
      if (SENSOR_3>0xf000){
        motor_c_dir(fwd);
        cputs("derecha ");
      }
      else {
        motor_a_dir(rev);
        motor_c_dir(rev);
        msleep(100);
      }
    }
    else
    {
      if (SENSOR_3<0xf000)
      motor_a_dir(fwd);
      cputs("izquierda");
    }
     msleep(600);
  }
}

wakeup_t sensor_press_wakeup(wakeup_t data) {
        lcd_refresh();
	return SENSOR_1<0xf000 || SENSOR_3<0xf000;
}

